# -*- coding:utf-8 -*-

from openerp import fields, models, api


class ResPartner(models.Model):
    _inherit="res.partner"

    def _activity_count(self):
        for partner in self:
            partner.activity_count = self.env['crm.task'].search_count([('partner_id', '=', partner.id),('state','=','pending')])

    task_ids = fields.One2many('crm.task', 'partner_id','Actividades')
    activity_count = fields.Integer(compute="_activity_count", string="Actividades", store=False)
    
